Skip to main content
GET
/
content
/
blogs
List blog posts
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/content/blogs \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "blogs": [
      {
        "contentId": "<string>",
        "title": "<string>",
        "status": "<string>",
        "excerpt": "<string>",
        "primaryKeyword": "<string>",
        "seoTitle": "<string>",
        "journeyStage": "<string>",
        "optimizationScore": 123,
        "publishDate": "2023-12-25",
        "sectionCount": 123,
        "ctaCount": 123,
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ],
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

status
string

Filter by status

Case-insensitive title search

journey_stage
string

Filter by journey stage

limit
integer
default:50

Max results (default 50, max 200)

Required range: x <= 200
offset
integer
default:0

Pagination offset

Required range: x >= 0

Response

Blog posts list

success
boolean
required
data
object